import request from '@/utils/request'

// 查询商品 产品列表
export function listMallGoodsProduct(query) {
  return request({
    url: '/mall/mallGoodsProduct/list',
    method: 'get',
    params: query
  })
}

// 查询商品 产品详细
export function getMallGoodsProduct(id) {
  return request({
    url: '/mall/mallGoodsProduct/' + id,
    method: 'get'
  })
}

// 新增商品 产品
export function addMallGoodsProduct(data) {
  return request({
    url: '/mall/mallGoodsProduct',
    method: 'post',
    data: data
  })
}

// 修改商品 产品
export function updateMallGoodsProduct(data) {
  return request({
    url: '/mall/mallGoodsProduct',
    method: 'put',
    data: data
  })
}

// 删除商品 产品
export function delMallGoodsProduct(id) {
  return request({
    url: '/mall/mallGoodsProduct/' + id,
    method: 'delete'
  })
}

// 导出商品 产品
export function exportMallGoodsProduct(query) {
  return request({
    url: '/mall/mallGoodsProduct/export',
    method: 'get',
    params: query
  })
}